/*
 * nand.h
 *
 *  Created on: 29-04-2014
 *      Author: KJ
 */

#ifndef AND_H_
#define AND_H_

#include "tdefs.h"

struct and_logic
{
	u8 *out_ptr;
	u8 out_bit_mask;

	u8 *in1_ptr;
	u8 in1_bit_mask;

	u8 *in2_ptr;
	u8 in2_bit_mask;
};

struct and_io
{
	u32 in1;
	u32 in2;
	u32 out;
}__attribute__((__packed__));

struct and_params
{
}__attribute__((__packed__));

struct and_args
{
	struct and_io io;
	struct and_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void and(void *args, void *logic);
extern int and_initlog(void *args, void *logic);

#endif /* AND_H_ */
